Package org.eclipse.emf.cdo.server

# Enum Class IStore.ChangeFormat

java.lang.Object
java.lang.Enum<IStore.ChangeFormat>
org.eclipse.emf.cdo.server.IStore.ChangeFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<IStore.ChangeFormat>`, `java.lang.constant.Constable`

Enclosing interface:
  `IStore`

public static enum IStore.ChangeFormat extends Enum<IStore.ChangeFormat>
Enumerates the possible data formats a `store` can accept for commit operations.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DELTA`
An indication that the store accepts incremental `revision deltas` for dirty objects.
`REVISION`
An indication that the store accepts full `revisions` for dirty objects.

## Method Summary

Modifier and Type
Method
Description
`static IStore.ChangeFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IStore.ChangeFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REVISION

public static final IStore.ChangeFormat REVISION
An indication that the store accepts full `revisions` for dirty objects.

### DELTA

public static final IStore.ChangeFormat DELTA
An indication that the store accepts incremental `revision deltas` for dirty objects.

## Method Details

### values

public static IStore.ChangeFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IStore.ChangeFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null